%define _use_internal_dependency_generator 0

Name: perl-Filter-Simple
Version: 0.78
Release: 11
Packager: cturner@redhat.com
Summary: Filter-Simple Perl module
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=Filter%3a%3aSimple
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: Filter-Simple-%{version}.tar.gz
Patch0: perl-Filter-Simple-testlib.patch
BuildArch: noarch

BuildRequires: perl(Filter) perl-Parse-RecDescent
Requires: perl(Filter) perl-Parse-RecDescent

%description
Source filtering is an immensely powerful feature of recent versions
of Perl. It allows one to extend the language itself (e.g. the Switch
module), to simplify the language (e.g. Language::Pythonesque), or to
completely recast the language (e.g.  Lingua::Romana::Perligata).
Effectively, it allows one to use the full power of Perl as its own,
recursively applied, macro language.

The excellent Filter::Util::Call module (by Paul Marquess) provides a
usable Perl interface to source filtering, but it is often too
powerful and not nearly as simple as it could be.

%prep
%setup -q -n Filter-Simple-%{version} 
%patch0 -p1 -b .testlib

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > Filter-Simple-%{version}-filelist
if [ "$(cat Filter-Simple-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Filter-Simple-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Fri Jun 07 2002 cturner@redhat.com
- Specfile autogenerated

